import 'package:rasadyar_chicken/presentation/routes/routes.dart';

String getFaUserRole(String? role) {
  switch (role) {
    case "Admin":
      return "ادمین استان";
    case "CityOperator":
      return "تعاونی";
    case "Poultry":
      return "مرغدار";
    case "ProvinceOperator":
      return "مدیر اجرایی";
    case "ProvinceFinancial":
      return "مالی اتحادیه";
    case "KillHouse":
      return "کشتارگاه";
    case "KillHouseVet":
      return "دامپزشک کشتارگاه";
    case "VetFarm":
      return "دامپزشک فارم";
    case "Driver":
      return "راننده";
    case "ProvinceInspector":
      return "بازرس اتحادیه ";
    case "VetSupervisor":
      return "دامپزشک کل";
    case "Jahad":
      return "جهاد کشاورزی استان";
    case "CityJahad":
      return "جهاد کشاورزی شهرستان";
    case "ProvincialGovernment":
      return "استانداری";
    case "Guilds":
      return "صنف";
    case "Steward":
      return "مباشر";
    case "Commerce":
      return "معاونت بازرگانی استان";
    case "CityCommerce":
      return "بازرگانی شهرستان";
    case "UnitWindow":
      return "پنجره واحد";
    case "CityVet":
      return "دامپزشک شهرستان";
    case "Observatory":
      return "رصدخانه";
    case "ProvinceSupervisor":
      return "ناظر استان";
    case "GuildRoom":
      return "اتاق اصناف";
    case "PosCompany":
      return "شرکت psp";
    case "LiveStockSupport":
      return "پشتیبانی امور دام";
    case "SuperAdmin":
      return "ادمین کل";
    case "ChainCompany":
      return "شرکت زنجیره";
    case "AdminX":
      return "ادمین ایکس";
    case "Supporter":
      return "پشتیبان سامانه";
    case "Dispenser":
      return "پخش کننده";
    case "CityPoultry":
      return "طیور شهرستان";
    case "ParentCompany":
      return "شرکت مادر";
    case "ColdHouseSteward":
      return "مباشر سردخانه";
    case "CityGuild":
      return "اتحادیه پروتئینی";
    case "LiveStockProvinceJahad":
      return "جهاد استان";
    case "PoultryScience":
      return "کارشناس طیور";
    default:
      return "نامشخص";
  }
}

Map<String, String?> getFaUserRoleWithOnTap(String? role) {
  switch (role) {
    case "Admin":
      return {"ادمین استان": null};
    case "CityOperator":
      return {"تعاونی": null};
    case "Poultry":
      return {"مرغدار": null};
    case "ProvinceOperator":
      return {"مدیر اجرایی": null};
    case "ProvinceFinancial":
      return {"مالی اتحادیه": null};
    case "KillHouse":
      return {"کشتارگاه": null};
    case "KillHouseVet":
      return {"دامپزشک کشتارگاه": null};
    case "VetFarm":
      return {"دامپزشک فارم": null};
    case "Driver":
      return {"راننده": null};
    case "ProvinceInspector":
      return {"بازرس اتحادیه": null};
    case "VetSupervisor":
      return {"دامپزشک کل": null};
    case "Jahad":
      return {"جهاد کشاورزی استان": null};
    case "CityJahad":
      return {"جهاد کشاورزی شهرستان": null};
    case "ProvincialGovernment":
      return {"استانداری": null};
    case "Guilds":
      return {"صنف": null};
    case "Commerce":
      return {"معاونت بازرگانی استان": null};
    case "CityCommerce":
      return {"بازرگانی شهرستان": null};
    case "UnitWindow":
      return {"پنجره واحد": null};
    case "CityVet":
      return {"دامپزشک شهرستان": null};
    case "Observatory":
      return {"رصدخانه": null};
    case "ProvinceSupervisor":
      return {"ناظر استان": null};
    case "GuildRoom":
      return {"اتاق اصناف": null};
    case "PosCompany":
      return {"شرکت psp": null};
    case "LiveStockSupport":
      return {"پشتیبانی امور دام": null};
    case "SuperAdmin":
      return {"ادمین کل": null};
    case "ChainCompany":
      return {"شرکت زنجیره": null};
    case "AdminX":
      return {"ادمین ایکس": null};
    case "Supporter":
      return {"پشتیبان سامانه": null};
    case "Dispenser":
      return {"پخش کننده": null};
    case "CityPoultry":
      return {"طیور شهرستان": null};
    case "ParentCompany":
      return {"شرکت مادر": null};
    case "ColdHouseSteward":
      return {"مباشر سردخانه": null};
    case "CityGuild":
      return {"اتحادیه پروتئینی": null};
    case "LiveStockProvinceJahad":
      return {"جهاد استان": null};
    case "Steward":
      return {"مباشر": ChickenRoutes.initSteward};
    case "PoultryScience":
      return {"کارشناس طیور": ChickenRoutes.initPoultryScience};
    default:
      return {"نامشخص": null};
  }
}
